<%@ Page Language="C#" MasterPageFile="~/MasterAWS.master" AutoEventWireup="true"
    CodeFile="ProductDetails.aspx.cs" Inherits="Default2" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <table cellpadding="2" id="productDetails">
        <tr>
            <td class="menuHeader">
                <asp:Label ID="titleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td id="tdProductInfo">
                <asp:Label id="lblErrMsg" runat="server" CssClass="Red"></asp:Label>
                <table>
                    <tr>
                        <td>
                            <asp:Image ID="coverImage" BorderWidth="0" ImageAlign="Left" runat="server" ImageUrl="">
                            </asp:Image>
                        </td>
                        <td>
                            <p>
                                <b>List Price:</b>
                                <asp:Label ID="lblListPrice" CssClass="listPrice" runat="server"></asp:Label>
                            </p>
                            <p>
                                <b>Our Price:</b>
                                <asp:Label ID="lblSalesPrice" CssClass="salesPrice" runat="server"></asp:Label>
                            </p>
                            <p>
                                <b>You Save:</b>
                                <asp:Label ID="lblSavings" CssClass="salesPrice" runat="server"></asp:Label>
                            </p>
                            <p>
                                <b>Average Customer Rating:</b>
                                <asp:Image ID="imgRating" runat="server" /><br />
                            </p>
                            <p>
                                <b>Availability:</b>
                                <asp:Label ID="lblAvailibility" runat="server"></asp:Label>
                            </p>
                            <p>
                            <b>Company:</b>
                                <asp:Label ID="studioLabel" runat="server"></asp:Label><br />
                            </p>
                            <asp:ImageButton ID="imgbtnAddToCard" runat="server" ImageUrl="images/btn-atc.gif" OnClick="imgbtnAddToCard_Click" ToolTip="Add To Cart" />
                        </td>
                    </tr>
                </table>
                <hr class="orangedot" />
                <div>
                    <h4>
                        Description</h4>
                    <p>
                        <asp:Label ID="descriptionLabel" runat="server">&nbsp;</asp:Label></p>
                    <hr class="orangedot" />
                    <h4>
                        Customer reviews for '<asp:Label ID="lblReviewTitle" runat="server"></asp:Label>'</h4>
                    <asp:DataGrid ID="reviewsDataGrid" runat="server" AllowPaging="True" GridLines="None"
                        AutoGenerateColumns="false" ShowHeader="false" CellPadding="0" BorderWidth="0"
                        BorderColor="" PageSize="3">
                        <Columns>
                            <asp:TemplateColumn>
                                <ItemTemplate>
                                    <h4>
                                        <asp:Image runat="server" ID="ImgCustRating" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "Rating") %>' />
                                        <%# DataBinder.Eval(Container.DataItem, "Summary") %>
                                    </h4>
                                    <p>
                                        <%# DataBinder.Eval(Container.DataItem, "Content") %>
                                    </p>
                                    <p style="font-size: 10px;">
                                        [<%# DataBinder.Eval(Container.DataItem, "Date") %>]</p>
                                </ItemTemplate>
                            </asp:TemplateColumn>
                        </Columns>
                        <PagerStyle Visible="False" Mode="NumericPages"></PagerStyle>
                    </asp:DataGrid>
                    <hr class="orangedot" />
                    <asp:DataGrid ID="similarProductsDataGrid" runat="server" AllowPaging="True" GridLines="None"
                        AutoGenerateColumns="false" CellPadding="2" BorderWidth="0" BorderColor="" PageSize="5">
                        <Columns>
                            <asp:TemplateColumn>
                                <HeaderTemplate>
                                    <p class="h3">
                                        Customers who bought this item also bought:</p>
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <a href='ProductDetails.aspx?asin=<%# DataBinder.Eval(Container.DataItem, "ASIN") %>'>
                                        <%# DataBinder.Eval(Container.DataItem, "Title") %>
                                    </a>
                                </ItemTemplate>
                            </asp:TemplateColumn>
                        </Columns>
                        <PagerStyle Visible="False" Mode="NumericPages"></PagerStyle>
                    </asp:DataGrid>
                </div>
            </td>
        </tr>
    </table>
</asp:Content>
